%KG10 uloha 1 (Urcen zmeny vzdlenosti)
%RSC (rsc@email.cz)

clear %vymazani pameti
clc %smazani obrazovky

fid = 1;
fid = fopen('kg10_u01.txt','w'); %vytvoreni *.txt souboru pro vystup


ro=180/pi;

%---------------------------------------------------------------------

deska_A = [
    -5288462.907 3410034.488 -1038802.601 -0.013 -0.018 0.041
    -3950071.365 2522415.187 -4311638.367 -0.041  0.005 0.042
    -2368686.972 4881316.520 -3341796.170 -0.051  0.008 0.048
];

deska_B = [
    4163493.941 -4163782.257 -2444561.583 -0.010 -0.029 0.014
    1769693.339 -5044574.146 -3468321.062  0.022 -0.007 0.007
    1744399.113 -6116037.818   512731.623  0.008  0.003 0.016
];

bod_A = [
    -3464038.503  1334172.762 -5169224.328
];

bod_B = [
     1815517.455 -5213464.894 -3187999.185
];

%---------------------------------------------------------------------

%rotace desky
wA = w(deska_A);
wB = w(deska_B);

%Vec rychlosti v horizontlnm smeru
vA = vec_soucin(bod_A,wA);
vB = vec_soucin(bod_B,wB);

%posun
sAB = ( (bod_B(1) - bod_A(1))^2 + (bod_B(2) - bod_A(2))^2 + (bod_B(3) - bod_A(3))^2 )^0.5;

DAB = bod_B - bod_A;
U = DAB / sAB;

posun_A = vA(1) * U(1) + vA(2) * U(2) + vA(3) * U(3);
posun_B = vB(1) * U(1) + vB(2) * U(2) + vB(3) * U(3);

posun_AB = posun_B - posun_A;

sAB_opr = sAB + posun_AB;

%
fprintf(fid,'Deska A\n');
fprintf(fid,' wX = %8.4f10^10 [1/rok]\n',1e10*wA(1));
fprintf(fid,' wY = %8.4f10^10 [1/rok]\n',1e10*wA(2));
fprintf(fid,' wZ = %8.4f10^10 [1/rok]\n',1e10*wA(3));
fprintf(fid,'\n');
fprintf(fid,' vX = %8.4f [m]\n',vA(1));
fprintf(fid,' vY = %8.4f [m]\n',vA(2));
fprintf(fid,' vZ = %8.4f [m]\n',vA(3));
fprintf(fid,'\n');
fprintf(fid,' posun = %8.4f [m]\n',posun_A);

fprintf(fid,'\n\nDeska B\n');
fprintf(fid,' wX = %8.4f10^10 [1/rok]\n',1e10*wB(1));
fprintf(fid,' wY = %8.4f10^10 [1/rok]\n',1e10*wB(2));
fprintf(fid,' wZ = %8.4f10^10 [1/rok]\n',1e10*wB(3));
fprintf(fid,'\n');
fprintf(fid,' vX = %8.4f [m]\n',vB(1));
fprintf(fid,' vY = %8.4f [m]\n',vB(2));
fprintf(fid,' vZ = %8.4f [m]\n',vB(3));
fprintf(fid,'\n');
fprintf(fid,' posun = %8.4f [m]\n',posun_B);

fprintf(fid,'\n\nvzjemn posun = %8.4f [m]\n',posun_AB);
fprintf(fid,'\n');
fprintf(fid,'pvodn dlka spojnice AB = %8.4f [m]\n',sAB);
fprintf(fid,'   nov dlka spojnice AB = %8.4f [m]\n',sAB_opr);


fclose(fid);
fprintf('\n\nCseln vsledky jsou ulozeny v souboru "kg10_u01.txt" v pracovnm adresri\n\n');
